%define major 0d1
%define libname %mklibname glee %major
%define libname_devel %mklibname -d glee

Name:          glee
Version:       5.4.0
Release:       %mkrel 12
Summary:       GL Easy Extension library
Group:         System/X11
License:       BSD
Url:           https://elf-stone.com/glee.php
Source0:       https://elf-stone.com/downloads/GLee/GLee-%{version}-src.tar.gz
# includedir point to /usr/include instead of /usr/include/GL (default location)
# from Debian
Source1:       glee-%{version}.pc
Patch0:        glee-5.4.0-Makefile_in.patch
Patch1:        glee-5.4.0-GLXContextID.patch
BuildRequires: pkgconfig(gl)

%description
GLee (GL Easy Extension library) is a free cross-platform extension loading library for OpenGL. It
provides seamless support for OpenGL functions up to version 3.0 and 398 extensions.

Features:

 * Core functions up to OpenGL 3.0
 * 398 extensions
 * Lazy loading for extension functions, so no initialisation code is required
 * Forced extension loading, though the GLeeForceLink function.

%package -n %libname
Summary:          Library files for %{name}
Group:            System/X11
Provides:         %{name} = %{version}

%description -n %libname
GLee (GL Easy Extension library) is a free cross-platform extension loading library for OpenGL.

%package -n %libname_devel
Group:         Development/C++
Summary:       Devel package for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}

%description -n %libname_devel
GLee (GL Easy Extension library) is a free cross-platform extension loading library for OpenGL.

This package contains static libraries and header files need for development.

%prep
%setup -q -c
%patch -P 0 -p0
%patch -P 1 -p1

%build
%configure
%make_build

%install
%make_install

chmod 755 %{buildroot}%{_libdir}/*.so*

mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -pm 644 %SOURCE1 %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%files -n %libname
%{_libdir}/lib%{name}.so.%major
%{_libdir}/lib%{name}.so.%major.*
%doc readme.txt

%files -n %libname_devel
%{_includedir}/GLee.h
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%doc extensionList.txt


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 5.4.0-12.mga10
+ Revision: 2231812
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 5.4.0-11.mga10
+ Revision: 2127397
- Rebuild for patchN deprecation

* Sun Mar 27 2022 umeabot <umeabot> 5.4.0-10.mga9
+ Revision: 1829054
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 5.4.0-9.mga8
+ Revision: 1512515
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 5.4.0-8.mga7
+ Revision: 1297907
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 5.4.0-7.mga6
+ Revision: 936010
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.4.0-6.mga5
+ Revision: 750185
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.4.0-5.mga5
+ Revision: 679638
- Mageia 5 Mass Rebuild

* Wed Jan 01 2014 wally <wally> 5.4.0-4.mga4
+ Revision: 563853
- add patch to fix build
- rediff Makefile patch to use %%{optflags}

* Fri Oct 18 2013 umeabot <umeabot> 5.4.0-3.mga4
+ Revision: 504939
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.4.0-2.mga3
+ Revision: 351789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 gil <gil> 5.4.0-1.mga2
+ Revision: 191126
- imported package glee

